gunicorn (19.6.0-4) unstable; urgency=medium

  * Drop template .service files; lets be as "upstream" as possible and point
    towards examples and documentation instead.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Aug 2016 09:10:06 +0100

gunicorn (19.6.0-3) unstable; urgency=medium

  * Drop /usr/sbin/gunicorn{,3}-debian and related machinery (Closes: #835225)
    - Inflexibility.
    - Never was documented.
    - Not adopted upstream.
    - Templated systemd service files can do a better job.
    - I doubt many people were really using this feature.
  * Add template .service files.

 -- Chris Lamb <lamby@debian.org>  Tue, 23 Aug 2016 19:26:20 +0100

gunicorn (19.6.0-2) unstable; urgency=medium

  * Reload in logrotate's postrotate, otherwise gunicorn processes continue
    writing to the rotated files and not the new ones.  Thanks to Dimitris
    Bliablias <bl.dimitris@gmail.com> for the report and patch, although note
    that we call the more generic "reload" action instead of the suggested
    kill(1) call. (Closes: #832603)
  * Ensure that package short descriptions are unique to appease lintian.
  * wrap-and-sort -sa.
  * Re-order binary packages in debian/control.
  * Move to DEP-5 copyright file.

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Aug 2016 16:08:44 -0400

gunicorn (19.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Tue, 31 May 2016 17:25:00 +0100

gunicorn (19.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Use https Github URL in Vcs-Git.

 -- Chris Lamb <lamby@debian.org>  Thu, 19 May 2016 15:43:43 +0100

gunicorn (19.4.5-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Mon, 11 Jan 2016 13:53:49 +0000

gunicorn (19.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Thu, 10 Dec 2015 17:30:52 +0200

gunicorn (19.3-3) unstable; urgency=medium

  * Correct Python interpreter path references in gunicorn3-debian. Thanks to
    Olivier AUDRY <olivier@minas.fr> for the report and patch, although note I
    applied it slightly differently keeping the "python" argument consistent
    (Closes: #805973)
  * Rebase patches with gbp-pq.

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Nov 2015 21:41:23 +0200

gunicorn (19.3-2) unstable; urgency=medium

  * Correct path in `rm` call to _gaiohttp.py (Closes: #803170)
  * wrap-and-sort -sa
  * Tidy debian/rules

 -- Chris Lamb <lamby@debian.org>  Wed, 28 Oct 2015 09:14:31 +0000

gunicorn (19.3-1) unstable; urgency=medium

  * New upstream release (Closes: #803086)
  * Update debian/watch to not use deprecated githubredir.
  * Refresh 0001-drop-supplemental-groups.patch.
  * Refresh 0002-use-system-js-libs.patch.

 -- Chris Lamb <lamby@debian.org>  Mon, 26 Oct 2015 21:34:38 +0000

gunicorn (19.0-8) unstable; urgency=medium

  * Drop dependency on python-tox now that tests are disabled.
    (Closes: #798798)

 -- Chris Lamb <lamby@debian.org>  Sat, 12 Sep 2015 23:35:09 +0100

gunicorn (19.0-7) unstable; urgency=medium

  * Use a no-op dh_auto_test to disable tox tests over not exporting
    PYBUILD_TEST_TOX. (Closes: #796432)

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Aug 2015 22:52:57 +0200

gunicorn (19.0-6) unstable; urgency=medium

  * Correct B+R version number to 19.0-3 & add B+R to python-gunicorn. Thanks
    to Andreas Beckmann (anbe). (Closes: #790518)

 -- Chris Lamb <lamby@debian.org>  Wed, 01 Jul 2015 18:06:45 +0100

gunicorn (19.0-5) unstable; urgency=medium

  * Add Replaces and Breaks to ensure upgrade path from testing.
    (Closes: #790518)

 -- Chris Lamb <lamby@debian.org>  Tue, 30 Jun 2015 11:37:24 +0100

gunicorn (19.0-4) unstable; urgency=medium

  * Add entry for docs/sitemap_gen.py in debian/copyright.
    (Closes: #790314)
  * Use system jQuery libraries to appease Lintian's
    privacy-breach-may-use-debian-package.

 -- Chris Lamb <lamby@debian.org>  Sun, 28 Jun 2015 00:34:01 +0100

gunicorn (19.0-3) unstable; urgency=medium

  * Set Section to "httpd".
  * Bump Standards-Version to 3.9.6.
  * Bump debhelper compat level to 9.
  * Call wrap-and-sort.

  [ Barry Warsaw ]
  * Add Python 3 support. (Closes: #756057)
  * d/control:
    - Split the gunicorn package into separate binary packages for the
      Python 2 and 3 library, the Python 2 and 3 command line scripts, and
      common files.
    - Update build dependencies for Python 3.
  * d/compat: Bump to version 8.
  * d/patches/0001-drop-supplemental-groups.patch: Adapt for Python 3.
  * d/rules:
    - Use --buildsystem=pybuild and dh_python3.
    - Update overrides for proper package installation.
    - Build the gunicorn-debian.8 manpage with help2man.
  * d/gunicorn.examples -> gunicorn-common.examples
  * d/gunicorn.init -> gunicorn-common.init
  * d/gunicorn.install -> gunicorn-common.install
  * d/gunicorn{3,-common}.manpages: Added.
  
  [ Chris Lamb ]
  * d/gunicorn3-debian: Minimise whitespace diff to d/gunicorn-debian for ease
    of future changes.

 -- Chris Lamb <lamby@debian.org>  Fri, 15 May 2015 13:57:47 +0100

gunicorn (19.0-2) unstable; urgency=low

  * Add provides: http-wsgi. Thanks to collinanderson via
    <https://github.com/lamby/pkg-gunicorn/issues/17>.
  * Install logrotate script. THanks to Collin Anderson <cmawebsite@gmail.com>
    (Closes: #759279).
  * Remove /var/log/gunicorn when purging package. (Closes: #769333)

 -- Chris Lamb <lamby@debian.org>  Sun, 16 Nov 2014 21:16:00 +0000

gunicorn (19.0-1) unstable; urgency=low

  * New upstream release.
    - Update 0001-drop-supplemental-groups.patch.
  * Bump Standards-Version to 3.9.5.
  * Remove gaoihttp.py prior to building as it's Python 3 only.

 -- Chris Lamb <lamby@debian.org>  Sat, 05 Jul 2014 17:09:19 +0100

gunicorn (18.0-3) unstable; urgency=low

  * Set permissions on /var/log/gunicorn so that workers (not just the master
    running as root) can write to logfiles.

 -- Chris Lamb <lamby@debian.org>  Fri, 11 Apr 2014 16:12:46 +0100

gunicorn (18.0-2) unstable; urgency=low

  * Avoid using $all in Required-Start so that other services can
    Required-Start on us without creating loops.

 -- Chris Lamb <lamby@debian.org>  Sun, 06 Apr 2014 17:36:11 +0100

gunicorn (18.0-1) unstable; urgency=low

  * New upstream release.
  * Update 0001-drop-supplemental-groups.

 -- Chris Lamb <lamby@debian.org>  Sat, 08 Feb 2014 17:28:58 +0000

gunicorn (17.5-2) unstable; urgency=low

  * Ignore automatic backup files (eg. "filename~") in /etc/gunicorn.d. Thanks
    to Gael Le Mignot <gael@pilotsystems.net>. (Closes: #715032)

 -- Chris Lamb <lamby@debian.org>  Thu, 11 Jul 2013 20:05:04 +0100

gunicorn (17.5-1) unstable; urgency=low

  * New upstream release.
  * Refresh and alter structure of 0001-drop-supplemental-groups.patch. Thanks
    to Randall Leeds.

 -- Chris Lamb <lamby@debian.org>  Thu, 04 Jul 2013 17:28:14 +0100

gunicorn (0.15.0-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 31 Oct 2012 19:44:54 +0000

gunicorn (0.14.5-5) unstable; urgency=low

  * Apply patch by Randall Leeds to set log directory permissions correctly.
    Thanks!

 -- Chris Lamb <lamby@debian.org>  Tue, 30 Oct 2012 00:14:18 +0000

gunicorn (0.14.5-4) unstable; urgency=low

  * Update setgroups patch so that permission errors are non-fatal, allowing
    gunicorn to be started by a non-root user. Thanks to Matthew Draper
    <matthew@trebex.net> (Closes: #690500)
  * Fix broken pysupport -> dh_python2 conversion. Thanks to Jakub Wilk
    (jwilk). (Closes: #690079)

 -- Chris Lamb <lamby@debian.org>  Tue, 16 Oct 2012 12:06:11 +0100

gunicorn (0.14.5-3) unstable; urgency=medium

  * Apply security patch from Vangelis Koukis <vkoukis@grnet.gr> to ensure
    gunicorn drops supplemental groups.

    Without this change, gunicorn workers run with the supplemental group of
    'root' even though we have specifically requested a switch (eg. to
    www-data:www-data)

 -- Chris Lamb <lamby@debian.org>  Thu, 04 Oct 2012 20:22:08 +0100

gunicorn (0.14.5-2) unstable; urgency=low

  * Pass through any initscript options to gunicorn-debian. Thanks to Piet
    Delport <pjdelport@gmail.com>. (Closes: #684299)
  * Drop unsupported 'status' argument. Thanks to Piet Delport
    <pjdelport@gmail.com>.

 -- Chris Lamb <lamby@debian.org>  Wed, 08 Aug 2012 13:03:26 -0700

gunicorn (0.14.5-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Mon, 02 Jul 2012 10:49:20 +0100

gunicorn (0.14.3-1) unstable; urgency=low

  * New upstream release.
  * Don't use the upstream Makefile for building as it uses virtualenv and
    starts downloading things.
  * Bump Standards-Version to 3.9.3.

 -- Chris Lamb <lamby@debian.org>  Mon, 21 May 2012 22:04:58 +0100

gunicorn (0.14.2-1) unstable; urgency=low

  * New upstream version.
  * Add support for "restart" argument to gunicorn-debian.

 -- Chris Lamb <lamby@debian.org>  Tue, 17 Apr 2012 12:07:36 +0100

gunicorn (0.13.4-3) unstable; urgency=low

  * Don't stop *all* configurations when calling "gunicorn-debian stop config".

 -- Chris Lamb <lamby@debian.org>  Fri, 10 Feb 2012 12:49:17 +0000

gunicorn (0.13.4-2) unstable; urgency=low

  * Move /usr/share/gunicorn/initscript-helper.py => /usr/sbin/gunicorn-debian.
  * Detect dpkg "rc" state in /etc/init.d/gunicorn.
  * Add shebang to /usr/sbin/gunicorn-debian.
  * Use optparse to parse command line over unpacking sys.argv.
  * Use sys.dont_write_bytecode over PYTHONDONTWRITEBYTECODE environment
    variable.
  * Ignore .comc files too.
  * Logging for /usr/sbin/gunicorn-debian.
  * Better logging of what start-stop-daemon is called with.
  * "reload" starts unstarted instances (Closes: #642234)
  * Allow limiting actions to particular configs. Thanks to thomas marquart
    <thomas@marquart.se> for the suggestion.

 -- Chris Lamb <lamby@debian.org>  Thu, 19 Jan 2012 15:27:53 +0000

gunicorn (0.13.4-1) unstable; urgency=low

  * New upstream version.
  * Bump retry time and make it configurable. This is required so that we don't
    attempt to (re)start gunicorn when the previous instances are still running
    as the port would still be in use and would then completely fail to start.

 -- Chris Lamb <lamby@debian.org>  Wed, 16 Nov 2011 17:05:47 +0000

gunicorn (0.13.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2.

 -- Chris Lamb <lamby@debian.org>  Sun, 04 Sep 2011 12:20:18 +0100

gunicorn (0.12.2-2) unstable; urgency=low

  * Source /etc/default/gunicorn so CONF_DIR (etc.) can be overridden.
    (via https://github.com/lamby/pkg-gunicorn/issues/8). Thanks to cbay for
    the patch.

 -- Chris Lamb <lamby@debian.org>  Thu, 26 May 2011 16:42:38 +0100

gunicorn (0.12.2-1) unstable; urgency=low

  * New upstream release.
  * Update Python path under all Python versions, not just 2.6.
    (via https://github.com/lamby/pkg-gunicorn/issues/6)
  * Don't require configuration files to define a CONFIG dictionary.
    Thanks to cbay for the patch.
    (via https://github.com/lamby/pkg-gunicorn/issues/7)

 -- Chris Lamb <lamby@debian.org>  Thu, 19 May 2011 16:22:21 +0100

gunicorn (0.12.1-3) unstable; urgency=low

  * Update Python path for Python <= 2.6 so that configurations can extend each
    other.
  * Correct check for ignoring files beginning with "_".
  * Also ignore .pyc files.
  * Fix "reload" action by removing "--retry 10" start-stop-daemon argument
    which was sending KILL afer 10 seconds. Thanks to cbay.
    (via https://github.com/lamby/pkg-gunicorn/issues/4)
  * Delete *.pid files even if start-stop-daemon fails. Thanks to cbay for
    report and patch.
    (via https://github.com/lamby/pkg-gunicorn/issues/3)

 -- Chris Lamb <lamby@debian.org>  Thu, 19 May 2011 11:28:00 +0100

gunicorn (0.12.1-2) unstable; urgency=low

  * Add option to specify the Python interpreter to use.
    (via https://github.com/lamby/pkg-gunicorn/issues/1)
  * Ignore files that begin with "_" so that we can avoid duplicated code.
    (via https://github.com/lamby/pkg-gunicorn/issues/2)

 -- Chris Lamb <lamby@debian.org>  Mon, 09 May 2011 00:54:18 +0100

gunicorn (0.12.1-1) unstable; urgency=low

  * New upstream release.
  * Add Python 2.5 support for /etc/gunicorn.d.

 -- Chris Lamb <lamby@debian.org>  Thu, 24 Mar 2011 12:32:40 +0000

gunicorn (0.12.0-2) unstable; urgency=low

  * Add .d-based config based on an idea by Arthur Furlan. Users (or
    configuration packages) can now place files in /etc/gunicorn.d which setup
    different gunicorn configurations. This avoids the need for separate or
    custom initscripts and generally integrates Gunicorn better with the Debian
    system. All gunicorn options are configurable. (Closes: #606216)

 -- Chris Lamb <lamby@debian.org>  Mon, 21 Mar 2011 00:04:33 +0000

gunicorn (0.12.0-1) unstable; urgency=low

  * New upstream release.
  * Update Vcs-{Git,Browser}.

 -- Chris Lamb <lamby@debian.org>  Sat, 26 Feb 2011 18:18:47 +0000

gunicorn (0.11.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1.

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Nov 2010 10:55:04 +0000

gunicorn (0.10.0-1) unstable; urgency=low

  * New upstream release.
  * Add python-setproctitle to Suggests. Thanks to Örjan Persson
    <orange@fobie.net>.
  * Bump Standards-Version to 3.9.0.

 -- Chris Lamb <lamby@debian.org>  Fri, 16 Jul 2010 10:44:12 +0100

gunicorn (0.9.1-2) unstable; urgency=low

  * Add python-setuptools to binary Depends.

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Jun 2010 11:02:09 +0100

gunicorn (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Thu, 27 May 2010 23:51:25 +0100

gunicorn (0.8.0-3) unstable; urgency=low

  * Re-enable gunicorn_paster entry point.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 May 2010 18:18:37 +0100

gunicorn (0.8.0-2) unstable; urgency=low

  * Bump minimal Python requirement to 2.5. Thanks to Piotr Ożarowski.
    (Closes: #580679)
  * Add python-pkg-resources to Depends.
  * Add python-gevent and python-tornado to Suggests.
  * Update long description to reflect Tornado support.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 May 2010 17:55:36 +0100

gunicorn (0.8.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch to not pick up spurious help.tar.gz.

 -- Chris Lamb <lamby@debian.org>  Thu, 22 Apr 2010 21:47:18 +0100

gunicorn (0.7.1-1) unstable; urgency=low

  * Initial release. (Closes: #577107)
    - We don't package the "paster" entry point yet as Debian's python-paste is
      out of date.

 -- Chris Lamb <lamby@debian.org>  Sun, 11 Apr 2010 21:05:39 +0100
